> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /eeocs/{id}

GET https://api.merge.dev/api/ats/v1/eeocs/{id}

Returns an `EEOC` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/ats/common-models/eeocs/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `candidate`
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `remote_fields` (enum, optional) — Deprecated. Use show_enum_origins.
  - Allowed values: `disability_status`, `disability_status,gender`, `disability_status,gender,race`, `disability_status,gender,race,veteran_status`, `disability_status,gender,veteran_status`, `disability_status,race`, `disability_status,race,veteran_status`, `disability_status,veteran_status`, `gender`, `gender,race`, `gender,race,veteran_status`, `gender,veteran_status`, `race`, `race,veteran_status`, `veteran_status`
- `show_enum_origins` (enum, optional) — A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
  - Allowed values: `disability_status`, `disability_status,gender`, `disability_status,gender,race`, `disability_status,gender,race,veteran_status`, `disability_status,gender,veteran_status`, `disability_status,race`, `disability_status,race,veteran_status`, `disability_status,veteran_status`, `gender`, `gender,race`, `gender,race,veteran_status`, `gender,veteran_status`, `race`, `race,veteran_status`, `veteran_status`

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `candidate` (string, optional, nullable) — The candidate being represented.
- `submitted_at` (datetime, optional, nullable) — When the information was submitted.
- `race` (enum, optional, nullable) — The candidate's race. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=race` to receive the integration's own value instead.
  - Allowed values: `AMERICAN_INDIAN_OR_ALASKAN_NATIVE`, `ASIAN`, `BLACK_OR_AFRICAN_AMERICAN`, `HISPANIC_OR_LATINO`, `WHITE`, `NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER`, `TWO_OR_MORE_RACES`, `DECLINE_TO_SELF_IDENTIFY`
- `gender` (enum, optional, nullable) — The candidate's gender. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=gender` to receive the integration's own value instead.
  - Allowed values: `MALE`, `FEMALE`, `NON-BINARY`, `OTHER`, `DECLINE_TO_SELF_IDENTIFY`
- `veteran_status` (enum, optional, nullable) — The candidate's veteran status. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=veteran_status` to receive the integration's own value instead.
  - Allowed values: `I_AM_NOT_A_PROTECTED_VETERAN`, `I_IDENTIFY_AS_ONE_OR_MORE_OF_THE_CLASSIFICATIONS_OF_A_PROTECTED_VETERAN`, `I_DONT_WISH_TO_ANSWER`
- `disability_status` (enum, optional, nullable) — The candidate's disability status. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=disability_status` to receive the integration's own value instead.
  - Allowed values: `YES_I_HAVE_A_DISABILITY_OR_PREVIOUSLY_HAD_A_DISABILITY`, `NO_I_DONT_HAVE_A_DISABILITY`, `I_DONT_WISH_TO_ANSWER`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (EeocFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

## Types

### EeocFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "id": "f7dd7b4f-237e-4772-8bd4-3246384c6c58",
  "remote_id": "76",
  "created_at": "2021-09-15T00:00:00Z",
  "modified_at": "2021-10-16T00:00:00Z",
  "candidate": "f963f34d-3d2f-4f77-b557-cf36bc7e6498",
  "submitted_at": "2021-10-15T00:00:00Z",
  "race": "HISPANIC_OR_LATINO",
  "gender": "FEMALE",
  "veteran_status": "I_AM_NOT_A_PROTECTED_VETERAN",
  "disability_status": "I_DONT_WISH_TO_ANSWER",
  "remote_was_deleted": true,
  "field_mappings": {
    "organization_defined_targets": {
      "custom_key": "custom_value"
    },
    "linked_account_defined_targets": {
      "custom_key": "custom_value"
    }
  },
  "remote_data": [
    {
      "path": "/eeoc",
      "data": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/ats/v1/eeocs/id"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/ats/v1/eeocs/id?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```